Solved

Incoming sites not resolving from outside --

Posted on 2010-11-21
3
623 Views
Last Modified: 2012-05-10
So this is the strangest thing-- all of a sudden outside access to my websites aren't working neither is putty from the ouside.  DNS is solid- I can access the sites internally, same with putty.  I've attached the error log to apache- don't think its that- I restarted box and apache- my virtual hosts seemed all to be working- no new changes there.  Not sure where to check or how to troubleshoot- any help would be appreciated



[Sun Nov 21 07:39:41 2010] [notice] Apache/2.2.14 (Ubuntu) DAV/2 SVN/1.6.6 Phusion_Passenger/2.2.11 PHP/5.3.2-1ubuntu4.5 with Suhosin-Patch proxy_html/3.0.1 $
[Sun Nov 21 08:26:40 2010] Exception KeyError: KeyError(-1215387904,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored
[Sun Nov 21 08:26:40 2010] Exception KeyError: KeyError(-1215387904,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored
[Sun Nov 21 08:26:40 2010] Exception KeyError: KeyError(-1215387904,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored
<br />
<b>Warning</b>:  Directive 'register_long_arrays' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
[Sun Nov 21 08:26:40 2010] Exception KeyError: KeyError(-1215387904,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored
<br />
<b>Warning</b>:  Directive 'register_long_arrays' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
[Sun Nov 21 08:26:40 2010] Exception KeyError: KeyError(-1215387904,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored
<br />
<b>Warning</b>:  Directive 'register_long_arrays' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'register_long_arrays' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'register_long_arrays' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
[Sun Nov 21 08:26:40 2010] [notice] caught SIGTERM, shutting down
<br />
<b>Warning</b>:  Directive 'register_long_arrays' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
PHP Deprecated:  Comments starting with '#' are deprecated in /etc/php5/apache2/conf.d/mcrypt.ini on line 1 in Unknown on line 0
[Sun Nov 21 08:33:17 2010] [notice] Apache/2.2.14 (Ubuntu) DAV/2 SVN/1.6.6 Phusion_Passenger/2.2.11 PHP/5.3.2-1ubuntu4.5 with Suhosin-Patch proxy_html/3.0.1 $
[Sun Nov 21 08:49:32 2010] Exception KeyError: KeyError(-1216948480,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored
[Sun Nov 21 08:49:32 2010] Exception KeyError: KeyError(-1216948480,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored
[Sun Nov 21 08:49:32 2010] Exception KeyError: KeyError(-1216948480,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored
[Sun Nov 21 08:49:32 2010] Exception KeyError: KeyError(-1216948480,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored
[Sun Nov 21 08:49:32 2010] Exception KeyError: KeyError(-1216948480,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored
<br />
<b>Warning</b>:  Directive 'register_long_arrays' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'register_long_arrays' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'register_long_arrays' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'register_long_arrays' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
<b>Warning</b>:  Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in <b>Unknown</b> on line <b>0</b><br />
<br />
0
Comment
Question by:bluetundra
  • 2
3 Comments
 
LVL 10

Expert Comment

by:aboo_s
ID: 34183196
Can you connect to site through IP address from outside!?
If yes, then it's a DNS(resolving) problem, if not then it's a routing problem.
0
 

Author Comment

by:bluetundra
ID: 34183252
hey thanks-  nope -- just tried putty with public IP address from remote location and no go-- so strange.  Any more ideas
0
 
LVL 10

Accepted Solution

by:
aboo_s earned 500 total points
ID: 34184062
Well rebooting the whole system would be a good start !!!
I would kill any firewall and try again.
Also try just pinging your site and see what happens!
0

Featured Post

Free Tool: IP Lookup

Get more info about an IP address or domain name, such as organization, abuse contacts and geolocation.

One of a set of tools we are providing to everyone as a way of saying thank you for being a part of the community.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

If you are running a LAMP infrastructure, this little code snippet is very helpful if you are serving lots of HTML, JavaScript and CSS-related information. The mod_deflate module, which is part of the Apache 2.2 application, provides the DEFLATE…
Over the last year I have answered a couple of basic URL rewriting questions several times so I thought I might as well have a stab at: explaining the basics, providing a few useful links and consolidating some of the most common queries into a sing…
Microsoft Active Directory, the widely used IT infrastructure, is known for its high risk of credential theft. The best way to test your Active Directory’s vulnerabilities to pass-the-ticket, pass-the-hash, privilege escalation, and malware attacks …
Nobody understands Phishing better than an anti-spam company. That’s why we are providing Phishing Awareness Training to our customers. According to a report by Verizon, only 3% of targeted users report malicious emails to management. With compan…

860 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question